Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class CovMerge

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.sitraka.CovBase
                        |
                        +--org.apache.tools.ant.taskdefs.optional.sitraka.CovMerge

public class CovMerge
extends CovBase

Runs the snapshot merge utility for JProbe Coverage.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CovMerge()`

Method Summary
`void` | `addFileset(FileSet fs)` add a fileset containing the snapshots to include.
`protected void` | `checkOptions()` check for mandatory options
`protected java.io.File` | `createParamFile()` create the parameters file that contains all file to merge and the output filename.
`void` | `execute()` execute the jpcovmerge by providing a parameter file
`protected java.io.File[]` | `getSnapshots()` get the snapshots from the filesets
`void` | `setTofile(java.io.File value)` Set the output snapshot file.
`void` | `setVerbose(boolean flag)` If true, perform the merge in verbose mode giving details about the snapshot processing.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.sitraka.CovBase
`createTempFile, findCoverageJar, findExecutable, getHome, getParamFileArgument, isJProbe4Plus, setHome`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovMerge

    public CovMerge()

Method Detail

### setTofile

    public void setTofile(java.io.File value)

  Set the output snapshot file.

### setVerbose

    public void setVerbose(boolean flag)

  If true, perform the merge in verbose mode giving details about the snapshot processing.

### addFileset

    public void addFileset(FileSet fs)

  add a fileset containing the snapshots to include.

### execute

    public void execute()
                 throws BuildException

  execute the jpcovmerge by providing a parameter file

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### checkOptions

    protected void checkOptions()
                         throws BuildException

  check for mandatory options

    `BuildException`

### getSnapshots

    protected java.io.File[] getSnapshots()

  get the snapshots from the filesets

### createParamFile

    protected java.io.File createParamFile()
                                    throws BuildException

  create the parameters file that contains all file to merge and the output filename.

    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.